Name:		arcanist
Version:	16.4.2
Release:	1%{?dist}
Summary:	Command-line interface for Phabricator

Group:		Application/System
License:	Apache 2.0
URL:		https://github.com/phacility/arcanist
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	libphutil


%description
This package is a versioned "snapshot" of arcanist meant for use within Rutgers University.
NOTE: The version number refers to the date when the last "snapshot" was downloaded from git.
i.e. version 15.5.27 refers to the "snapshot" downloaded on May 27th 2015 (5/27/2015)

%prep
%setup -q -n arcanist

%install
cd ../
mkdir -p $RPM_BUILD_ROOT/opt/
mkdir -p $RPM_BUILD_ROOT/etc/
umask 022
cp -r arcanist $RPM_BUILD_ROOT/opt/
umask 133


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir /opt/arcanist
/opt/arcanist/*


%post
ln -s /opt/arcanist/bin/arc /usr/bin/arc
cat << EOF
Add the following to /etc/arcconfig:
{
	"phabricator.uri" : PHABRICATOR_HOSTNAME
}
EOF


%postun
rm /usr/bin/arc


%changelog
* Sat Apr 2 2016 James Chambers <jamchamb@nbcs.rutgers.edu> 16.4.2-1.ru6
- Upgrade to the latest stable release

* Mon Mar 14 2016 James Chambers <jamchamb@nbcs.rutgers.edu> 16.3.12-1.ru6
- Upgrade to the latest release
- Removing version control dotfiles included with git clone

* Tue Mar 1 2016 Derek Maciel <dam402@nbcs.rutgers.edu> 16.1.27-1.ru6
- Version bump to match the phabricator package update on 1/27/2016

* Wed May 27 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> 15.5.27-1.ru6
- Version bump

* Wed Jan 21 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> 15.1.15-2.ru6
- Removed config options from install.

* Thu Jan 15 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> 15.1.15-1.ru6
- Initial build.
